/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderDiagramaAutobus implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        DiagramaAutobus claseServicio = (DiagramaAutobus) o;

        Listcell lc = new Listcell(claseServicio.getDiagramaautobusId().toString());
        lc.setParent(lstm);

        lc = new Listcell(claseServicio.getDescDiagrama());
        lc.setParent(lstm);

        Short cantAsientos = claseServicio.getCantasientos();
        if (cantAsientos != null) {
            lc = new Listcell(claseServicio.getCantasientos().toString());
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", claseServicio);
    }
}
